import { NativeInstance } from '../internal/native-instance';
import { quantumArray } from '../wasm/magick';
export interface IPixelCollection {
    getArea(x: number, y: number, width: number, height: number): quantumArray;
    getPixel(x: number, y: number): quantumArray;
    setArea(x: number, y: number, width: number, height: number, quantumPixels: quantumArray): void;
    setArea(x: number, y: number, width: number, height: number, numberPixels: number[]): void;
    setPixel(x: number, y: number, quantumPixels: quantumArray): void;
    setPixel(x: number, y: number, numberPixels: number[]): void;
    toByteArray(x: number, y: number, width: number, height: number, mapping: string): quantumArray | null;
}
export declare class PixelCollection extends NativeInstance implements IPixelCollection {
    private readonly image;
    private constructor();
    getArea(x: number, y: number, width: number, height: number): quantumArray;
    getPixel(x: number, y: number): quantumArray;
    setArea(x: number, y: number, width: number, height: number, quantumPixels: quantumArray): void;
    setArea(x: number, y: number, width: number, height: number, numberPixels: number[]): void;
    setPixel(x: number, y: number, quantumPixels: quantumArray): void;
    setPixel(x: number, y: number, numberPixels: number[]): void;
    toByteArray(x: number, y: number, width: number, height: number, mapping: string): quantumArray | null;
    private static createArray;
    private use;
}
